import request from '@/utils/request'

// 查询钻孔信息列表
export function listHole(query) {
  return request({
    url: '/project/hole/list',
    method: 'get',
    params: query
  })
}

// 查询钻孔信息详细
export function getHole(id) {
  return request({
    url: '/project/hole/' + id,
    method: 'get'
  })
}

// 新增钻孔信息
export function addHole(data) {
  return request({
    url: '/project/hole',
    method: 'post',
    data: data
  })
}

// 修改钻孔信息
export function updateHole(data) {
  return request({
    url: '/project/hole',
    method: 'put',
    data: data
  })
}

// 删除钻孔信息
export function delHole(id) {
  return request({
    url: '/project/hole/' + id,
    method: 'delete'
  })
}
